$ () ->
  $('body').on 'focus', '*[data-widget-timepicker]', () ->
    $(@).clockpicker
      placement:  'bottom'
    return
  $('body').on 'focus', '*[data-widget-datepicker]', () ->
    $(@).datepicker
      todayBtn: "linked"
      keyboardNavigation: false
      forceParse: false
      autoclose: true
      format: "yyyy-mm-dd"
    return
  return